
From: Ian Molton <spyro@f2s.com>

Add and update comments all throughout the arm26 tree.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/arm26/ACKNOWLEDGEMENTS               |    2 ++
 25-akpm/arch/arm26/boot/compressed/head.S         |    2 +-
 25-akpm/arch/arm26/boot/compressed/ll_char_wr.S   |    2 +-
 25-akpm/arch/arm26/boot/compressed/uncompress.h   |    1 -
 25-akpm/arch/arm26/boot/compressed/vmlinux.lds.in |    2 +-
 25-akpm/arch/arm26/boot/install.sh                |    4 ++--
 25-akpm/arch/arm26/kernel/compat.c                |    2 +-
 25-akpm/arch/arm26/kernel/init_task.c             |    6 ++++--
 25-akpm/arch/arm26/kernel/setup.c                 |    4 ++--
 25-akpm/arch/arm26/lib/backtrace.S                |    2 +-
 25-akpm/arch/arm26/lib/changebit.S                |    2 +-
 25-akpm/arch/arm26/lib/clearbit.S                 |    2 +-
 25-akpm/arch/arm26/lib/copy_page.S                |    2 +-
 25-akpm/arch/arm26/lib/csumipv6.S                 |    2 +-
 25-akpm/arch/arm26/lib/csumpartial.S              |    2 +-
 25-akpm/arch/arm26/lib/csumpartialcopy.S          |    2 +-
 25-akpm/arch/arm26/lib/csumpartialcopygeneric.S   |    2 +-
 25-akpm/arch/arm26/lib/delay.S                    |    2 +-
 25-akpm/arch/arm26/lib/ecard.S                    |    2 +-
 25-akpm/arch/arm26/lib/floppydma.S                |    2 +-
 25-akpm/arch/arm26/lib/io-acorn.S                 |    2 +-
 25-akpm/arch/arm26/lib/io-readsb.S                |    2 +-
 25-akpm/arch/arm26/lib/io-writesb.S               |    2 +-
 25-akpm/arch/arm26/lib/io-writesl.S               |    2 +-
 25-akpm/arch/arm26/lib/memchr.S                   |    2 +-
 25-akpm/arch/arm26/lib/memcpy.S                   |    2 +-
 25-akpm/arch/arm26/lib/memset.S                   |    2 +-
 25-akpm/arch/arm26/lib/memzero.S                  |    2 +-
 25-akpm/arch/arm26/lib/setbit.S                   |    2 +-
 25-akpm/arch/arm26/lib/strchr.S                   |    2 +-
 25-akpm/arch/arm26/lib/strrchr.S                  |    2 +-
 25-akpm/arch/arm26/lib/testchangebit.S            |    2 +-
 25-akpm/arch/arm26/lib/testclearbit.S             |    2 +-
 25-akpm/arch/arm26/lib/testsetbit.S               |    2 +-
 25-akpm/arch/arm26/machine/dma.c                  |    2 +-
 25-akpm/arch/arm26/machine/irq.c                  |    2 +-
 25-akpm/arch/arm26/mm/extable.c                   |    8 +++++++-
 25-akpm/arch/arm26/mm/fault.c                     |    3 +--
 25-akpm/arch/arm26/mm/proc-funcs.S                |    2 +-
 25-akpm/include/asm-arm26/hardware.h              |    1 +
 40 files changed, 51 insertions(+), 42 deletions(-)

diff -puN arch/arm26/ACKNOWLEDGEMENTS~arm26-update-comments-headers-notes arch/arm26/ACKNOWLEDGEMENTS
--- 25/arch/arm26/ACKNOWLEDGEMENTS~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/ACKNOWLEDGEMENTS	Thu Dec 23 14:22:04 2004
@@ -15,6 +15,8 @@ Philip Blundell
 Russell King
 Keith Owens
 
+also thanks to Nicholas Pitre for hints, and for the basis or our XIP support.
+
 Currently maintaing the code are
 
 Ian Molton (Maintainer / Archimedes)
diff -puN arch/arm26/boot/compressed/head.S~arm26-update-comments-headers-notes arch/arm26/boot/compressed/head.S
--- 25/arch/arm26/boot/compressed/head.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/boot/compressed/head.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/boot/compressed/head.S
+ *  linux/arch/arm26/boot/compressed/head.S
  *
  *  Copyright (C) 1996-2002 Russell King
  *
diff -puN arch/arm26/boot/compressed/ll_char_wr.S~arm26-update-comments-headers-notes arch/arm26/boot/compressed/ll_char_wr.S
--- 25/arch/arm26/boot/compressed/ll_char_wr.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/boot/compressed/ll_char_wr.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/ll_char_wr.S
+ *  linux/arch/arm26/lib/ll_char_wr.S
  *
  *  Copyright (C) 1995, 1996 Russell King.
  *
diff -puN arch/arm26/boot/compressed/uncompress.h~arm26-update-comments-headers-notes arch/arm26/boot/compressed/uncompress.h
--- 25/arch/arm26/boot/compressed/uncompress.h~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/boot/compressed/uncompress.h	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,4 @@
 /*
- *  linux/include/asm-arm/arch-arc/uncompress.h
  *
  *  Copyright (C) 1996 Russell King
  *
diff -puN arch/arm26/boot/compressed/vmlinux.lds.in~arm26-update-comments-headers-notes arch/arm26/boot/compressed/vmlinux.lds.in
--- 25/arch/arm26/boot/compressed/vmlinux.lds.in~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/boot/compressed/vmlinux.lds.in	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/boot/compressed/vmlinux.lds.in
+ *  linux/arch/arm26/boot/compressed/vmlinux.lds.in
  *
  *  Copyright (C) 2000 Russell King
  *
diff -puN arch/arm26/boot/install.sh~arm26-update-comments-headers-notes arch/arm26/boot/install.sh
--- 25/arch/arm26/boot/install.sh~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/boot/install.sh	Thu Dec 23 14:22:04 2004
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# arch/arm/boot/install.sh
+# arch/arm26/boot/install.sh
 #
 # This file is subject to the terms and conditions of the GNU General Public
 # License.  See the file "COPYING" in the main directory of this archive
@@ -10,7 +10,7 @@
 #
 # Adapted from code in arch/i386/boot/Makefile by H. Peter Anvin
 # Adapted from code in arch/i386/boot/install.sh by Russell King
-# Stolen from arch/arm/boot/install.sh by Ian Molton
+# Stolen from arm32 by Ian Molton
 #
 # "make install" script for arm architecture
 #
diff -puN arch/arm26/kernel/compat.c~arm26-update-comments-headers-notes arch/arm26/kernel/compat.c
--- 25/arch/arm26/kernel/compat.c~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/kernel/compat.c	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/kernel/compat.c
+ *  linux/arch/arm26/kernel/compat.c
  *
  *  Copyright (C) 2001 Russell King
  *                2003 Ian Molton
diff -puN arch/arm26/kernel/init_task.c~arm26-update-comments-headers-notes arch/arm26/kernel/init_task.c
--- 25/arch/arm26/kernel/init_task.c~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/kernel/init_task.c	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/kernel/init_task.c
+ *  linux/arch/arm26/kernel/init_task.c
  *
  * Copyright (C) 2003 Ian Molton
  *
@@ -29,7 +29,9 @@ EXPORT_SYMBOL(init_mm);
  * We need to make sure that this is 8192-byte aligned due to the
  * way process stacks are handled. This is done by making sure
  * the linker maps this in the .text segment right after head.S,
- * and making head.S ensure the proper alignment.
+ * and making the linker scripts ensure the proper alignment.
+ *
+ * FIXME - should this be 32K alignment on arm26?
  *
  * The things we do for performance...
  */
diff -puN arch/arm26/kernel/setup.c~arm26-update-comments-headers-notes arch/arm26/kernel/setup.c
--- 25/arch/arm26/kernel/setup.c~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/kernel/setup.c	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/kernel/setup.c
+ *  linux/arch/arm26/kernel/setup.c
  *
  *  Copyright (C) 1995-2001 Russell King
  *  Copyright (C) 2003 Ian Molton
@@ -119,7 +119,7 @@ static void __init setup_processor(void)
 	/*
 	 * locate processor in the list of supported processor
 	 * types.  The linker builds this table for us from the
-	 * entries in arch/arm/mm/proc-*.S
+	 * entries in arch/arm26/mm/proc-*.S
 	 */
 	for (list = &__proc_info_begin; list < &__proc_info_end ; list++)
 		if ((processor_id & list->cpu_mask) == list->cpu_val)
diff -puN arch/arm26/lib/backtrace.S~arm26-update-comments-headers-notes arch/arm26/lib/backtrace.S
--- 25/arch/arm26/lib/backtrace.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/backtrace.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/backtrace.S
+ *  linux/arch/arm26/lib/backtrace.S
  *
  *  Copyright (C) 1995, 1996 Russell King
  *
diff -puN arch/arm26/lib/changebit.S~arm26-update-comments-headers-notes arch/arm26/lib/changebit.S
--- 25/arch/arm26/lib/changebit.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/changebit.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/changebit.S
+ *  linux/arch/arm26/lib/changebit.S
  *
  *  Copyright (C) 1995-1996 Russell King
  *
diff -puN arch/arm26/lib/clearbit.S~arm26-update-comments-headers-notes arch/arm26/lib/clearbit.S
--- 25/arch/arm26/lib/clearbit.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/clearbit.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/clearbit.S
+ *  linux/arch/arm26/lib/clearbit.S
  *
  *  Copyright (C) 1995-1996 Russell King
  *
diff -puN arch/arm26/lib/copy_page.S~arm26-update-comments-headers-notes arch/arm26/lib/copy_page.S
--- 25/arch/arm26/lib/copy_page.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/copy_page.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/copypage.S
+ *  linux/arch/arm26/lib/copypage.S
  *
  *  Copyright (C) 1995-1999 Russell King
  *
diff -puN arch/arm26/lib/csumipv6.S~arm26-update-comments-headers-notes arch/arm26/lib/csumipv6.S
--- 25/arch/arm26/lib/csumipv6.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/csumipv6.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/csumipv6.S
+ *  linux/arch/arm26/lib/csumipv6.S
  *
  *  Copyright (C) 1995-1998 Russell King
  *
diff -puN arch/arm26/lib/csumpartialcopygeneric.S~arm26-update-comments-headers-notes arch/arm26/lib/csumpartialcopygeneric.S
--- 25/arch/arm26/lib/csumpartialcopygeneric.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/csumpartialcopygeneric.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/csumpartialcopygeneric.S
+ *  linux/arch/arm26/lib/csumpartialcopygeneric.S
  *
  *  Copyright (C) 1995-2001 Russell King
  *
diff -puN arch/arm26/lib/csumpartialcopy.S~arm26-update-comments-headers-notes arch/arm26/lib/csumpartialcopy.S
--- 25/arch/arm26/lib/csumpartialcopy.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/csumpartialcopy.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/csumpartialcopy.S
+ *  linux/arch/arm26/lib/csumpartialcopy.S
  *
  *  Copyright (C) 1995-1998 Russell King
  *
diff -puN arch/arm26/lib/csumpartial.S~arm26-update-comments-headers-notes arch/arm26/lib/csumpartial.S
--- 25/arch/arm26/lib/csumpartial.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/csumpartial.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/csumpartial.S
+ *  linux/arch/arm26/lib/csumpartial.S
  *
  *  Copyright (C) 1995-1998 Russell King
  *
diff -puN arch/arm26/lib/delay.S~arm26-update-comments-headers-notes arch/arm26/lib/delay.S
--- 25/arch/arm26/lib/delay.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/delay.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/delay.S
+ *  linux/arch/arm26/lib/delay.S
  *
  *  Copyright (C) 1995, 1996 Russell King
  *
diff -puN arch/arm26/lib/ecard.S~arm26-update-comments-headers-notes arch/arm26/lib/ecard.S
--- 25/arch/arm26/lib/ecard.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/ecard.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/ecard.S
+ *  linux/arch/arm26/lib/ecard.S
  *
  *  Copyright (C) 1995, 1996 Russell King
  *
diff -puN arch/arm26/lib/floppydma.S~arm26-update-comments-headers-notes arch/arm26/lib/floppydma.S
--- 25/arch/arm26/lib/floppydma.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/floppydma.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/floppydma.S
+ *  linux/arch/arm26/lib/floppydma.S
  *
  *  Copyright (C) 1995, 1996 Russell King
  *
diff -puN arch/arm26/lib/io-acorn.S~arm26-update-comments-headers-notes arch/arm26/lib/io-acorn.S
--- 25/arch/arm26/lib/io-acorn.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/io-acorn.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/io-acorn.S
+ *  linux/arch/arm26/lib/io-acorn.S
  *
  *  Copyright (C) 1995, 1996 Russell King
  *
diff -puN arch/arm26/lib/io-readsb.S~arm26-update-comments-headers-notes arch/arm26/lib/io-readsb.S
--- 25/arch/arm26/lib/io-readsb.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/io-readsb.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/io-readsb.S
+ *  linux/arch/arm26/lib/io-readsb.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/io-writesb.S~arm26-update-comments-headers-notes arch/arm26/lib/io-writesb.S
--- 25/arch/arm26/lib/io-writesb.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/io-writesb.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/io-writesb.S
+ *  linux/arch/arm26/lib/io-writesb.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/io-writesl.S~arm26-update-comments-headers-notes arch/arm26/lib/io-writesl.S
--- 25/arch/arm26/lib/io-writesl.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/io-writesl.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/io-writesl.S
+ *  linux/arch/arm26/lib/io-writesl.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/memchr.S~arm26-update-comments-headers-notes arch/arm26/lib/memchr.S
--- 25/arch/arm26/lib/memchr.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/memchr.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/memchr.S
+ *  linux/arch/arm26/lib/memchr.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/memcpy.S~arm26-update-comments-headers-notes arch/arm26/lib/memcpy.S
--- 25/arch/arm26/lib/memcpy.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/memcpy.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/memcpy.S
+ *  linux/arch/arm26/lib/memcpy.S
  *
  *  Copyright (C) 1995-1999 Russell King
  *
diff -puN arch/arm26/lib/memset.S~arm26-update-comments-headers-notes arch/arm26/lib/memset.S
--- 25/arch/arm26/lib/memset.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/memset.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/memset.S
+ *  linux/arch/arm26/lib/memset.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/memzero.S~arm26-update-comments-headers-notes arch/arm26/lib/memzero.S
--- 25/arch/arm26/lib/memzero.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/memzero.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/memzero.S
+ *  linux/arch/arm26/lib/memzero.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/setbit.S~arm26-update-comments-headers-notes arch/arm26/lib/setbit.S
--- 25/arch/arm26/lib/setbit.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/setbit.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/setbit.S
+ *  linux/arch/arm26/lib/setbit.S
  *
  *  Copyright (C) 1995-1996 Russell King
  *
diff -puN arch/arm26/lib/strchr.S~arm26-update-comments-headers-notes arch/arm26/lib/strchr.S
--- 25/arch/arm26/lib/strchr.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/strchr.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/strchr.S
+ *  linux/arch/arm26/lib/strchr.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/strrchr.S~arm26-update-comments-headers-notes arch/arm26/lib/strrchr.S
--- 25/arch/arm26/lib/strrchr.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/strrchr.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/strrchr.S
+ *  linux/arch/arm26/lib/strrchr.S
  *
  *  Copyright (C) 1995-2000 Russell King
  *
diff -puN arch/arm26/lib/testchangebit.S~arm26-update-comments-headers-notes arch/arm26/lib/testchangebit.S
--- 25/arch/arm26/lib/testchangebit.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/testchangebit.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/testchangebit.S
+ *  linux/arch/arm26/lib/testchangebit.S
  *
  *  Copyright (C) 1995-1996 Russell King
  *
diff -puN arch/arm26/lib/testclearbit.S~arm26-update-comments-headers-notes arch/arm26/lib/testclearbit.S
--- 25/arch/arm26/lib/testclearbit.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/testclearbit.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/testclearbit.S
+ *  linux/arch/arm26/lib/testclearbit.S
  *
  *  Copyright (C) 1995-1996 Russell King
  *
diff -puN arch/arm26/lib/testsetbit.S~arm26-update-comments-headers-notes arch/arm26/lib/testsetbit.S
--- 25/arch/arm26/lib/testsetbit.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/lib/testsetbit.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/lib/testsetbit.S
+ *  linux/arch/arm26/lib/testsetbit.S
  *
  *  Copyright (C) 1995-1996 Russell King
  *
diff -puN arch/arm26/machine/dma.c~arm26-update-comments-headers-notes arch/arm26/machine/dma.c
--- 25/arch/arm26/machine/dma.c~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/machine/dma.c	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/kernel/dma-arc.c
+ *  linux/arch/arm26/kernel/dma.c
  *
  *  Copyright (C) 1998-1999 Dave Gilbert / Russell King
  *  Copyright (C) 2003 Ian Molton
diff -puN arch/arm26/machine/irq.c~arm26-update-comments-headers-notes arch/arm26/machine/irq.c
--- 25/arch/arm26/machine/irq.c~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/machine/irq.c	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/mach-arc/irq.c
+ *  linux/arch/arm26/mach-arc/irq.c
  *
  *  Copyright (C) 1996 Russell King
  *
diff -puN arch/arm26/mm/extable.c~arm26-update-comments-headers-notes arch/arm26/mm/extable.c
--- 25/arch/arm26/mm/extable.c~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/mm/extable.c	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/mm/extable.c
+ *  linux/arch/arm26/mm/extable.c
  */
 
 #include <linux/config.h>
@@ -11,6 +11,12 @@ int fixup_exception(struct pt_regs *regs
         const struct exception_table_entry *fixup;
 
         fixup = search_exception_tables(instruction_pointer(regs));
+
+	/*
+	 * The kernel runs in SVC mode - make sure we keep running in SVC mode
+	 * by frobbing the PSR appropriately (PSR and PC are in the same reg.
+	 * on ARM26)
+	 */
         if (fixup)
                 regs->ARM_pc = fixup->fixup | PSR_I_BIT | MODE_SVC26;
 
diff -puN arch/arm26/mm/fault.c~arm26-update-comments-headers-notes arch/arm26/mm/fault.c
--- 25/arch/arm26/mm/fault.c~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/mm/fault.c	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/mm/fault-common.c
+ *  linux/arch/arm26/mm/fault.c
  *
  *  Copyright (C) 1995  Linus Torvalds
  *  Modifications for ARM processor (c) 1995-2001 Russell King
@@ -212,7 +212,6 @@ int do_page_fault(unsigned long addr, un
 	tsk = current;
 	mm  = tsk->mm;
 
-	printk("do_page_fault: pid: %d      %08x\n", tsk->pid, addr);
 	/*
 	 * If we're in an interrupt or have no user
 	 * context, we must not take the fault..
diff -puN arch/arm26/mm/proc-funcs.S~arm26-update-comments-headers-notes arch/arm26/mm/proc-funcs.S
--- 25/arch/arm26/mm/proc-funcs.S~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/arch/arm26/mm/proc-funcs.S	Thu Dec 23 14:22:04 2004
@@ -1,5 +1,5 @@
 /*
- *  linux/arch/arm/mm/proc-arm2,3.S
+ *  linux/arch/arm26/mm/proc-arm2,3.S
  *
  *  Copyright (C) 1997-1999 Russell King
  *
diff -puN include/asm-arm26/hardware.h~arm26-update-comments-headers-notes include/asm-arm26/hardware.h
--- 25/include/asm-arm26/hardware.h~arm26-update-comments-headers-notes	Thu Dec 23 14:22:04 2004
+++ 25-akpm/include/asm-arm26/hardware.h	Thu Dec 23 14:22:04 2004
@@ -90,6 +90,7 @@ do {                                    
 #define IOEB_PSCLR		(IOEB_BASE + 0x58)
 #define IOEB_MONTYPE		(IOEB_BASE + 0x70)
 
+//FIXME - These adresses are weird - ISTR some weirdo address shifting stuff was going on here...
 #define IO_EC_IOC_BASE		0x80090000
 #define IO_EC_MEMC_BASE		0x80000000
 
_
